svn commit: r253001 - user/pho/stress2/misc

Peter Holm pho at FreeBSD.org
Sun Jul 7 19:58:15 UTC 2013


Author: pho
Date: Sun Jul  7 19:58:14 2013
New Revision: 253001
URL: http://svnweb.freebsd.org/changeset/base/253001

Log:
  Added -o option, added check for random(6) and added more tests to the
  exclude list. Added progress number info.

Modified:
  user/pho/stress2/misc/all.sh

Modified: user/pho/stress2/misc/all.sh
==============================================================================
--- user/pho/stress2/misc/all.sh	Sun Jul  7 19:58:09 2013	(r253000)
+++ user/pho/stress2/misc/all.sh	Sun Jul  7 19:58:14 2013	(r253001)
@@ -1,7 +1,7 @@
 #!/bin/sh
 
 #
-# Copyright (c) 2008-2009, 2012 Peter Holm <pho at FreeBSD.org>
+# Copyright (c) 2008-2009, 2012-13 Peter Holm <pho at FreeBSD.org>
 # All rights reserved.
 #
 # Redistribution and use in source and binary forms, with or without
@@ -32,6 +32,7 @@
 
 # Start of list	Known problems						Seen
 
+# altbufferflushes.sh snapshots + disk full == know problem		20130617
 # backingstore.sh
 #		g_vfs_done():md6a[WRITE(offset=...)]error = 28		20111220
 # backingstore2.sh
@@ -41,30 +42,56 @@
 # datamove.sh	Deadlock (ufs)						20111216
 # datamove2.sh	Deadlock (ufs)						20111220
 # datamove3.sh	Deadlock (ufs)						20111221
+# datamove4.sh	Deadlock (tmpfs)					20120601
 # dfull.sh	umount stuck in "mount drain"				20111227
-# fts.sh	Deadlock seen, possibly due to low v_free_count		20120105
+# ext2fs.sh	Deadlock						20120510
+# fuse2.sh	Deadlock seen						20121129
+# gjournal.sh	kmem_malloc(131072): kmem_map too small			20120626
+# gjournal2.sh	
 # mkfifo.sh	umount stuck in suspfs					20111224
 # mkfifo2c.sh	panic: ufsdirhash_newblk: bad offset			20111225
+# mlockall3.sh	Waiting fix						20130616
+# msync.sh	Waiting fix						20130619
+# nbufkv.sh	Deadlock seen						20130212
 # newfs.sh	Memory modified after free. ... used by inodedep	20111217
 # newfs2.sh	umount stuck in ufs					20111226
+# nfs8X.sh	Deadlock						20120610
+# nfs9.sh	panic: lockmgr still held				20130503
+# nfs10.sh	Deadlock						20130401
+# nfs11.sh	Deadlock						20130429
 # pmc.sh	NMI ... going to debugger				20111217
 # snap5-1.sh	mksnap_ffs deadlock					20111218
+# quota2.sh	panic: dqflush: stray dquot				20120221
 # quota3.sh	panic: softdep_deallocate_dependencies: unrecovered ...	20111222
-# quota6.sh	panic: softdep_deallocate_dependencies: unrecovered ...	20111219
+# quota6.sh	panic: softdep_deallocate_dependencies: unrecovered ...	20130206
+# quota7.sh	panic: dqflush: stray dquot				20120221
+# readdir.sh	panic: ffs_read: uio->uio_resid < 0			20120228
+# rwlock_ronly.sh	Waiting for fix					20130611
+# shm_open.sh	panic: kmem_malloc(4096): kmem_map too small		20130504
+# sigreturn.sh	Waiting for fix						20130606
 # snap3.sh	mksnap_ffs stuck in snaprdb				20111226
 # snap5.sh	mksnap_ffs stuck in getblk				20111224
+# snap6.sh	panic: softdep_deallocate_dependencies: unrecovered ...	20130630
+# snap8.sh	panic: softdep_deallocate_dependencies: unrecovered ...	20120630
+# socketpair.sh	Deadlock						20130511
 # suj11.sh	panic: ufsdirhash_newblk: bad offset			20120118
+# suj18.sh	panic: Bad tailq NEXT(0xc1e2a6088->tqh_last_s) != NULL	20120213
 # suj23.sh	panic: Bad link elm 0xc9d00e00 next->prev != elm	20111216
+# suj26.sh	Deadlock						20120213
+# suj27.sh	Deadlock						20120213
+# suj30.sh	panic: flush_pagedep_deps: MKDIR_PARENT			20121020
 # tmpfs6.sh	watchdogd fired. Test stuck in pgrbwt			20111219
 # trim3.sh	watchdog timeout					20111225
 # umountf3.sh	KDB: enter: watchdog timeout				20111217
 # unionfs.sh	insmntque: mp-safe fs and non-locked vp is not ...	20111217
 # unionfs2.sh	insmntque: mp-safe fs and non-locked vp is not ...	20111219
 # unionfs3.sh	insmntque: mp-safe fs and non-locked vp is not ...	20111216
+# wire_no_page.sh	Waiting fix					20130616
 
 # Test not to run for other reasons:
 
 # fuzz.sh	A know issue
+# newfs3.sh	OK, but runs for a very long time
 # syscall.sh	OK, but runs for a very long time
 # syscall2.sh	OK, but runs for a very long time
 # vunref.sh	No problems ever seen
@@ -72,9 +99,14 @@
 
 # End of list
 
+# Suspects:
+# ffs_syncvnode2.sh
+#		Memory modified after free. ... used by inodedep	20111224
+
 [ `id -u ` -ne 0 ] && echo "Must be root!" && exit 1
+[ -x /usr/games/random ] || { echo "random(6) not installed"; exit 1; }
 
-args=`getopt acn $*`
+args=`getopt acno $*`
 [ $? -ne 0 ] && echo "Usage $0 [-a] [-c] [-n] [tests]" && exit 1
 set -- $args
 for i; do
@@ -88,6 +120,9 @@ for i; do
 	-n)	noshuffle=1	# Do not shuffle the list of tests
 		shift
 		;;
+	-o)	once=1		# Only run once
+		shift
+		;;
 	--)
 		shift
 		break
@@ -117,17 +152,22 @@ while true; do
 
 	lst=""
 	for i in $list; do
-		[ -z "$all" ] && echo $exclude | grep -q $i && continue
+		[ -z "$all" ] && echo $exclude | grep -qw $i && continue
 		lst="$lst $i"
 	done
 	[ -z "$lst" ] && exit
 
+	n1=0
+	n2=`echo $lst | wc -w | sed 's/ //g'`
 	for i in $lst; do
+		n1=$((n1 + 1))
 		echo $i > .all.last
 		./cleanup.sh
 		echo "`date '+%Y%m%d %T'` all: $i" | tee /dev/tty >> .all.log
+		printf "`date '+%Y%m%d %T'` all ($n1/$n2): $i\r\n" > /dev/console
 		logger "Starting test all: $i"
 		sync;sync;sync
 		./$i
 	done
+	[ -n "$once" ] && break
 done


More information about the svn-src-user mailing list